#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This is the input that can be used by the testing file.
# =========================================================================== #
# require 'program_information/constants/array_test_with_this_as_input.rb'
# =========================================================================== #
require 'program_information/constants/regex.rb'
require 'program_information/toplevel_methods/return_proper_pipe_token_to_this_input.rb'

module ProgramInformation

  # ========================================================================= #
  # === ProgramInformation::ARRAY_TEST_THIS_AS_INPUT
  #
  # The character '|' is not allowed to be part of any program name,
  # so we wil use this as special token.
  #
  # We will insert it at the boundary level.
  # ========================================================================= #
  ARRAY_TEST_THIS_AS_INPUT = %w(
    unieject-6
    acl_2.2.47-1
    ncbi_cxx-12_0_0
    lynx-2.8.8-rel2
    subtle-0.11.3224-xi
    font-bitstream-75dpi-1.0.3
    xf86-input-elographics-1.4.1
    zope.interface-4.2.0
    CrownCutlass-Alpha1.4
    gobject-introspection-1.53.4
    dvd+rw-tools-7.1
    font-xfree86-type1-1.0.4
    lshw-B.02.08.01
    e_dbus-1.7.10
    xf86-video-omap-0.4.2
    at-spi2-core-2.19.2
    xfce4-dev-tools-4.8.0
    WebKit-r174650
    akonadi-calendar-tools-17.08.1
    Archive-Zip-1.46
    did_you_mean-1.1.2
    artemis_v16.0.11
    chunky_png-1.3.8
    libedit-20170329-3.1
    font-adobe-utopia-type1-1.0.4
    wpa_supplicant-2.6
    dpkg_1.18.22
    ncbi-blast-2.6.0+
    ntfs-3g_ntfsprogs-2017.3.23
    b43-fwcutter-015
    wcd-6.0.1-beta3
    xf86-video-i810-1.7.4
    gnome-internet-radio-locator-0.9.0
    SDL2_gfx-1.0.1
    boost-1_54_0
    boost_1_65_1.tar.bz2
    boost_1_65_1
    oxygen-icons5-5.37.0
    artemis_v16.0.11.jar
    mod_python_3.3.1
    xfce4-statusnotifier-plugin-0.2.0
    p7zip_16.02_src_all.tar.bz2
    mime-types-data-3.2016.0521.gem
    domain_name-0.5.20170404.gem
    ftp://ftp.alsa-project.org/pub/plugins/alsa-plugins-1.0.29.tar.bz2
    alsa-plugins-1.0.29.tar.bz2
    alsa-plugins-1.0.29
    libquvi-scripts-0.9.20131130
    btrfs-progs-v4.13.2.tar.xz
    btrfs-progs-v4.13.2
    ImageMagick-7.0.7-7
    Archive-Zip-1.46
    loop-AES-v3.7d
    boost-build-2014-10
    openobex-1.7.1-Source
    /Users/x/SRC/zope.interface/zope.interface-4.4.2.tar.gz
    libatomic_ops-7.4.2.tar.gz
    mod_python-11.10.2017
    expect5.45.3
    http://search.cpan.org/CPAN/authors/id/M/MA/MARKOV/XML-LibXML-Simple-0.98.tar.gz
    https://rubygems.org/downloads/mini_portile2-2.3.0.gem
    kismet-2016-07-R1.tar.xz
    nana%201.5.4.zip
    http://download.icu-project.org/files/icu4c/61.1/icu4c-61_1-src.tgz
    XML-NamespaceSupport-1.09.tar.xz
    XML-NamespaceSupport-1.09
    icu4c-62_1
    polkit-kde-agent-1-5.15.2
    polkit-kde-agent-1-5.10.95
    polkit-qt-1-0.112.0
    xf86-video-amd-2.7.7.7
    NVIDIA-Linux-x86-352.63.run
    xf86-video-s3virge-1.11.0
    youtube-dl-2019.06.27
    dvd+rw-tools-7.1
  )

end

if __FILE__ == $PROGRAM_NAME
  require 'colours/autoinclude'
  # ========================================================================= #
  # This is colourized in more detail because it makes it easier to
  # visualize what is going on, on the commandline.
  # ========================================================================= #
  ProgramInformation::ARRAY_TEST_THIS_AS_INPUT.each {|entry|
    original_entry = entry.dup
    entry = File.basename(entry)
    entry = ProgramInformation.return_proper_pipe_token_to_this_input(entry)
    use_sfancy_colour = Colours.colour_methods_to_specific_colour?[:sfancy]
    e "#{simp(original_entry.ljust(36))}"\
      "  ->  "\
      "#{sfancy(
        entry.sub(/\|/, Colours.orange('|')+
        Colours.send(use_sfancy_colour))
      )}"
  }
end