#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'program_information/constants/constants.rb'
# =========================================================================== #
require 'program_information/constants/regex.rb'
require 'program_information/constants/colours.rb'

module ProgramInformation

class ProgramInformation

  # ========================================================================= #
  # === SHALL_WE_DOWNCASE
  #
  # So that input such as "Libgnome" can become "libgnome".
  # ========================================================================= #
  SHALL_WE_DOWNCASE = false

  # ========================================================================= #
  # === REMOVE_PLUS_AND_MINUS
  #
  # If true then we will remove plus '+' and minus '-' from the program name.
  # ========================================================================= #
  REMOVE_PLUS_AND_MINUS = false

  # ========================================================================= #
  # === REPLACE_PLUS_WITH_LONG_NAME
  #
  # If this constant is true then we will replace all '+' with the
  # string 'plus' as part of the issued name. Note that remove-actions
  # are stronger, so if the constant REMOVE_PLUS_AND_MINUS was also
  # set to true, then the constant here will not be honoured at all.
  # ========================================================================= #
  REPLACE_PLUS_WITH_LONG_NAME = false

  # ========================================================================= #
  # === REMOVE_PLUS_TOKEN
  #
  # If this constant is true then we will eliminate '+' in the input.
  #
  # This overrules the replace-constant called REPLACE_PLUS_WITH_LONG_NAME.
  #
  # Also note that if the constant REMOVE_PLUS_AND_MINUS is set to true
  # then this setting here will always be set to false.
  # ========================================================================= #
  REMOVE_PLUS_TOKEN = false

  # ========================================================================= #
  # === BE_VERBOSE
  # ========================================================================= #
  BE_VERBOSE = false

end; end