#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
module ProgramInformation

class ProgramInformation # === ProgramInformation::ProgramInformation

  # ========================================================================= #
  # === initialize
  #
  # Specific Usage Example:
  #   ProgramInformation::ProgramInformation.new('util-linux-ng-2.15')
  # ========================================================================= #
  def initialize(
      i                   = ARGV,
      run_already         = true,
      optional_be_verbose = false
    )
    reset
    set_input(i)
    if optional_be_verbose
      set_be_verbose(optional_be_verbose)
    end
    case run_already
    when :do_run_already
      run_already = true
    when :dont_run_already, :do_not_run_already
      run_already = false
    end
    run if run_already
  end

end; end