#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
module ProgramInformation

class ProgramInformation

  # ========================================================================= #
  # === report                                        (debug tag, report tag)
  # ========================================================================= #
  def report(
      be_verbose = be_verbose?
    )
    case be_verbose
    when :do_report, :be_verbose
      be_verbose = true
    end
    lpad = 90
    rpad = 49
    if be_verbose
      inner_ljust = 28
      # ===================================================================== #
      # === real short name
      # ===================================================================== #
      e (NAME_OF_CLASS+(' Program real short name ').ljust(inner_ljust)+'('+
        yellow?+'@real_short_name'+rev+') is: ').ljust(lpad)+
        (apostroph?+real_short_name?+apostroph?).
        ljust(rpad)
      # ===================================================================== #
      # === short name
      # ===================================================================== #
      e (
        NAME_OF_CLASS+(' Program name').ljust(inner_ljust)+'('+
        yellow?+'@short_name'+rev+'     ) is: '
      ).ljust(lpad)+(apostroph?+short_name?+apostroph?).
        ljust(rpad)
      # ===================================================================== #
      # === program version
      # ===================================================================== #
      e (NAME_OF_CLASS+(' Program version ').ljust(inner_ljust)+'('+
        yellow?+'@program_version'+rev+') is: ').ljust(lpad)+
        (apostroph?+version?+apostroph?).
        ljust(rpad)
    end
  end; alias report_result report # === report_result

end; end