#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'program_information/toplevel_methods/remove_archive_type.rb'
# =========================================================================== #
module ProgramInformation

  # ========================================================================= #
  # === ProgramInformation.remove_archive_type
  #
  # This method will remove the "archive type", e. g. ".tar.xz" or
  # ".tar.bz2" or ".tar.lz".
  # ========================================================================= #
  def self.remove_archive_type(i)
    i = i.dup if i.frozen?
    i.sub!(/\.tar\.gz$/,'')
    i.sub!(/\.tar\.xz$/,'')
    i.sub!(/\.tar\.bz2$/,'')
    i.sub!(/\.run$/,'')     if i.end_with? '.run'
    i.sub!(/\.bz2$/,'')     if i.end_with? '.bz2'
    i.sub!(/\.tar\.lz$/,'') if i.end_with? '.tar.lz'
    i.sub!(/\.gem$/,'')
    i.sub!(/\.tgz$/,'')
    i.sub!(/\.zip$/,'')
    i.sub!(/\.jar$/,'')
    i.sub!(/\.js$/,'')
    i.sub!(/\.stable$/,'')
    return i
  end

end