#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'program_information/toplevel_methods/return_short_name.rb'
# =========================================================================== #
require 'program_information/program_information.rb'

module ProgramInformation

  # ========================================================================= #
  # === ProgramInformation.return_short_name
  #
  # This method will ultimately return the value of @short_name value.
  #
  # Usage examples:
  #
  #   ProgramInformation.return_short_name('ffmpeg-2.1.tar.xz') # => "ffmpeg"
  #   ProgramInformation.return_short_name('/Users/x/SRC/gobjectintrospection/gobject-introspection-1.53.4.tar.xz') # => "gobjectintrospection"
  #
  # In the first example, it will return 'ffmpeg', but keep in mind that
  # we allow to keep '-' characters. In the second example, the '-'
  # MUST be preserved.
  # ========================================================================= #
  def self.return_short_name(
      of_this_program = ''
    )
    if of_this_program.nil? or of_this_program.empty?
      opnn; e 'Please provide some input to the method '\
              'ProgramInformation.return_short_name.'
    else
      _ = ::ProgramInformation::ProgramInformation.new(of_this_program)
      _.short_name?
    end 
  end; self.instance_eval { alias return_name              return_short_name } # === ProgramInformation.return_name
       self.instance_eval { alias return_program_real_name return_short_name } # === ProgramInformation.return_program_real_name

end